scala.tools.nsc.doc.html

# HtmlPage

#### abstract class HtmlPage extends Page

An html page that is part of a Scaladoc site.

Self Type
  HtmlPage

Linear Supertypes
Page, AnyRef, Any
Known Subclasses
Index, ReferenceIndex, Source, Template
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. HtmlPage
2. Page
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new HtmlPage()

### Abstract Value Members

1. #### abstract def body: NodeSeq

   The body of this page.

2. #### abstract def headers: NodeSeq

   Additional header elements (links, scripts, meta tags, etc.

   Additional header elements (links, scripts, meta tags, etc.) required for this page.

   Attributes
     protected

3. #### abstract def path: List[String]

   The path of this page, relative to the API site.

   The path of this page, relative to the API site. `path.tail` is a list of folder names leading to this page (from closest package to one-above-root package), `path.head` is the file name of this page. Note that `path` has a length of at least one.

   Definition Classes
     Page

4. #### abstract def title: String

   The title of this page.

   The title of this page.

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from HtmlPage to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (HtmlPage, B)

   Implicit information
     This member is added by an implicit conversion from HtmlPage to ArrowAssoc[HtmlPage] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def absoluteLinkTo(path: List[String]): String

   Definition Classes
     Page

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def blockToHtml(block: Block): NodeSeq

11. #### def bodyToHtml(body: Body): NodeSeq

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def commentToHtml(comment: Comment): NodeSeq

    Transforms a comment into an styled HTML tree representing its body.

14. #### def commentToHtml(comment: Option[Comment]): NodeSeq

    Transforms an optional comment into an styled HTML tree representing its body if it is defined, or into an empty node sequence if it is not.

15. #### def createFileOutputStream(site: HtmlFactory, suffix: String = ""): FileOutputStream

    Definition Classes
      Page

16. #### def description: String

    The page description

    The page description

    Attributes
      protected

17. #### def docEntityKindToBigImage(ety: DocTemplateEntity): String

    Returns the _big image name corresponding to the DocTemplate Entity (upper left icon)

18. #### def ensuring(cond: (HtmlPage) ⇒ Boolean, msg: ⇒ Any): HtmlPage

    Implicit information
      This member is added by an implicit conversion from HtmlPage to Ensuring[HtmlPage] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: (HtmlPage) ⇒ Boolean): HtmlPage

    Implicit information
      This member is added by an implicit conversion from HtmlPage to Ensuring[HtmlPage] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean, msg: ⇒ Any): HtmlPage

    Implicit information
      This member is added by an implicit conversion from HtmlPage to Ensuring[HtmlPage] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: Boolean): HtmlPage

    Implicit information
      This member is added by an implicit conversion from HtmlPage to Ensuring[HtmlPage] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from HtmlPage to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

26. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

27. #### def hasPage(e: DocTemplateEntity): Boolean

28. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

29. #### def inlineToHtml(inl: Inline): NodeSeq

30. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

31. #### def keywords: String

    The page keywords

    The page keywords

    Attributes
      protected

32. #### def kindToString(mbr: MemberEntity): String

    Definition Classes
      Page

33. #### def linkToHtml(text: Inline, link: LinkTo, hasLinks: Boolean): NodeSeq

34. #### def listItemsToHtml(items: collection.Seq[Block]): NodeSeq

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### final def notify(): Unit

    Definition Classes
      AnyRef

37. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

38. #### def relativeLinkTo(destPath: List[String]): String

    A relative link from this page to some destination path.

    A relative link from this page to some destination path.

    destPath

      The path that the link will point to.

    Definition Classes
      Page

39. #### def relativeLinkTo(destPage: HtmlPage): String

    A relative link from this page to some destination page in the Scaladoc site.

    A relative link from this page to some destination page in the Scaladoc site.

    destPage

      The page that the link will point to.

    Definition Classes
      Page

40. #### def relativeLinkTo(destClass: TemplateEntity): String

    A relative link from this page to some destination class entity.

    A relative link from this page to some destination class entity.

    Definition Classes
      Page

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### def templateToHtml(tpl: TemplateEntity, name: String = null): Node with Serializable

    Returns the HTML code that represents the template in `tpl` as a hyperlinked name.

43. #### def templateToPath(tpl: TemplateEntity): List[String]

    Definition Classes
      Page

44. #### def templatesToHtml(tplss: List[TemplateEntity], sep: NodeSeq): NodeSeq

    Returns the HTML code that represents the templates in `tpls` as a list of hyperlinked names.

45. #### def toString(): String

    Definition Classes
      AnyRef → Any

46. #### def typeToHtml(tpe: TypeEntity, hasLinks: Boolean): NodeSeq

47. #### def typeToHtml(tpes: List[TypeEntity], hasLinks: Boolean): NodeSeq

48. #### def typesToHtml(tpess: List[TypeEntity], hasLinks: Boolean, sep: NodeSeq): NodeSeq

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### def writeFile(site: HtmlFactory, suffix: String = "")(fn: (Writer) ⇒ Unit): Unit

    Definition Classes
      Page

53. #### def writeFor(site: HtmlFactory): Unit

    Writes this page as a file.

    Writes this page as a file. The file's location is relative to the generator's site root, and the encoding is also defined by the generator.

    Definition Classes
      HtmlPage → Page

54. #### def →[B](y: B): (HtmlPage, B)

    Implicit information
      This member is added by an implicit conversion from HtmlPage to ArrowAssoc[HtmlPage] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from HtmlPage to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (htmlPage: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from HtmlPage to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (htmlPage: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: HtmlPage

   Implicit information
     This member is added by an implicit conversion from HtmlPage to ArrowAssoc[HtmlPage] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (htmlPage: ArrowAssoc[HtmlPage]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: HtmlPage

   Implicit information
     This member is added by an implicit conversion from HtmlPage to Ensuring[HtmlPage] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (htmlPage: Ensuring[HtmlPage]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Page

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from HtmlPage to StringAdd

### Inherited by implicit conversion any2stringfmt from HtmlPage to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from HtmlPage to ArrowAssoc[HtmlPage]

### Inherited by implicit conversion any2Ensuring from HtmlPage to Ensuring[HtmlPage]

### Ungrouped